#include "arrayf.h"

void CRemoteAhWnd::UserAdd()
{
   InvokeHelper(0x1, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}

void CRemoteAhWnd::DropUser()
{
   InvokeHelper(0x2, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}

UINT CRemoteAhWnd::NumUsers()
{
   UINT result;
   InvokeHelper(0x3, DISPATCH_METHOD, VT_I4, (void*)&result, NULL, NULL);
   return result;
}

UINT CRemoteAhWnd::AddArray(UINT size)
{
   UINT result;
   static BYTE BASED_CODE p[] =
           VTS_I4;
   InvokeHelper(0x4, DISPATCH_METHOD, VT_I4, (void*)&result, p, size);
   return result;
}

BOOL CRemoteAhWnd::RemoveArray(UINT arraynum)
{
   BOOL result;
   static BYTE BASED_CODE p[] =
           VTS_I4;
   InvokeHelper(0x5, DISPATCH_METHOD, VT_BOOL, (void*)&result, p, arraynum);
   return result;
}

BOOL CRemoteAhWnd::SetRecord(UINT arraynum, UINT recnum, UINT value)
{
   BOOL result;
   static BYTE BASED_CODE p[] =
           VTS_I4 VTS_I4 VTS_I4;
   InvokeHelper(0x6, DISPATCH_METHOD, VT_BOOL, (void*)&result, p, arraynum, recnum, value);
   return result;
}

UINT CRemoteAhWnd::GetRecord(UINT arraynum, UINT recnum)
{
   UINT result;
   static BYTE BASED_CODE p[] =
           VTS_I4 VTS_I4;
   InvokeHelper(0x7, DISPATCH_METHOD, VT_I4, (void*)&result, p, arraynum, recnum);
   return result;
}

void CRemoteAhWnd::Close()
{
   InvokeHelper(0x8, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}
