// Memory leak detector - must be compiled in DEBUG mode

#include "ahandler.h"

void ahtest();

void main()
{
   CMemoryState oldMemState, newMemState, diffMemState;

   oldMemState.Checkpoint();
   ahtest();
   newMemState.Checkpoint();
   if( diffMemState.Difference( oldMemState, newMemState ) )
      printf("Memory leaked!\n");
   else
      printf("Memory intact!\n");
   return;
}

void ahtest()
{
   AHandler ah;
   UINT a1, a2, a3;
   UINT v = 0;

   a1 = ah.Add(5000);
   a2 = ah.Add(8000);
   a3 = ah.Add(3000);
   ah.Remove(a2);
   ah.Set(a3,1500,743);
   v = ah.Get(a3,1500);
   printf("v = %i\n",v);
   return;
}


