&routine ae_proc

EDITC STATION2
EDITF LABEL
SHOW COORDINATE -18
COO KEY
SEL ALL
&cv -2 1 ran
&r ae_curs RESTORE
&rem UNSEL ALL
COO %-18
&return

&routine ae_doit

&cv -1 200
&cv -2 360 * ( 0 ran )
&cv -3 %-1 * ( ( 90 - %-2 ) cos )
&cv -4 %-1 * ( ( 90 - %-2 ) sin )
MOVE
1 0 0
1 %-3 %-4
&return

&routine ae_curs

&define restore -1 &var
&define numrec -11 &var
&define arraynum -12 &var
&define i -13 &var
&define id -14 &var
&define wksp -18 &var
&define temp -19 &var
&if &eq "x[restore]" "x" &do
   &delim < >
   &type "Usage:  &r ae_curs [RESTORE/NORESTORE]"
   &return
   &delim [ ]
&end
&rem **** initialize cursor
&value [wksp] WKSP
&value [temp] ARC
SHOW NUMBER SELECT [numrec]
&if &eq [numrec] 0 &do
   &type "ERROR: No records in selection set"
   &return
&end
WIN PATH [temp]\APPS
&type "Starting server..."
WIN RUN ah
&type "Initializing cursor..."
WIN RUNW arrayf U
WIN RUNW arrayf A [numrec]
WIN CB R
&value [arraynum] 1
&sv [i] 1
&openw [wksp]t$sel.lis
&while &rn [i] 1 [numrec] &do
   SHOW SELECT %[i] [temp]
   &write [temp]
   &inc [i]
&end
&closew
WIN RUNW arrayf F [arraynum] [wksp]t$sel.lis
& DEL [wksp]t$sel.lis
&rem **** loop through record set
&sv [i] 0
&while &rn [i] 0 %<[numrec] - 1> &do
   WIN RUNW arrayf G [arraynum] [i]
   WIN CB R
   &value [id] 1
   SEL $RECNO IN {[id]}
   &rem **** manipulate record
   &type "Processing record [id]..."
   &run ae_doit
   &rem **** update record number
   SHOW SELECT 1 [id]
   WIN RUNW arrayf S [arraynum] [i] [id]
   &inc [i]
&end
&if &eq RESTORE [restore] &do
   &rem **** restore selection set
   &sv [i] 0
   &while &rn [i] 0 %<[numrec] - 1> &do
      WIN RUNW arrayf G [arraynum] [i]
      WIN CB R
      &value [id] 1
      ASEL $RECNO IN {[id]}
      &inc [i]
   &end
&end
&rem **** remove cursor
&type "Removing cursor..."
WIN RUNW arrayf R [arraynum]
WIN RUNW arrayf D
WIN RUNW arrayf N
WIN CB R
&value [i] 1
&if &eq [i] 0 &do
   &type "Closing server..."
   WIN RUNW arrayf C
&end
&return
